changelog 5.19 KB
Newer Older
1
libmodule-extractuse-perl (0.341-1) UNRELEASED; urgency=medium
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
2

3
  [ Salvatore Bonaccorso ]
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
4 5
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

6 7
  [ Lucas Kanashiro ]
  * Import upstream version 0.341
8
  * d/u/metadata: update contact and repo url
9
  * Refresh autopkgtest.patch
10
  * d/copyright: update Upstream-Contact field
11 12

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Sun, 21 Feb 2016 17:15:46 -0300
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
13

14 15 16 17 18 19 20 21 22 23 24 25
libmodule-extractuse-perl (0.33-2) unstable; urgency=medium

  * Fix (hopefully) a reproducible build issue.
    debian/rules: make sure that the recreated grammar file gets installed and
    not the shipped one.
    This also makes it possible to build the package twice in a row.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Sep 2015 23:02:08 +0200

26
libmodule-extractuse-perl (0.33-1) unstable; urgency=medium
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
27

28
  [ Salvatore Bonaccorso ]
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
29 30
  * Update Vcs-Browser URL to cgit web frontend

31 32
  [ gregor herrmann ]
  * Add debian/upstream/metadata
33
  * debian/watch: add second URL.
gregor herrmann's avatar
gregor herrmann committed
34
  * Import upstream version 0.33
35 36 37 38 39
  * Update upstream copyright years.
  * Update libmodule-build-perl build dependency.
  * Mark package as autopkgtest-able.
    Add a patch to find the installed module in the tests.
  * Declare compliance with Debian Policy 3.9.6.
40

41
 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Oct 2014 21:30:46 +0200
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
42

43
libmodule-extractuse-perl (0.32-1) unstable; urgency=medium
gregor herrmann's avatar
gregor herrmann committed
44

Daniel Lintott's avatar
Daniel Lintott committed
45
  [ gregor herrmann ]
gregor herrmann's avatar
gregor herrmann committed
46 47
  * Strip trailing slash from metacpan URLs.

Daniel Lintott's avatar
Daniel Lintott committed
48 49 50
  [ Daniel Lintott ]
  * Convert debian/watch back to search.cpan.org for newer releases

gregor herrmann's avatar
gregor herrmann committed
51 52
  [ gregor herrmann ]
  * New upstream release.
53 54 55 56
  * Update years of packaging copyright.
  * Don't install invalid and almost empty
    Module::ExtractUse::Grammar(3pm).
  * Declare compliance with Debian Policy 3.9.5.
gregor herrmann's avatar
gregor herrmann committed
57

58
 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jun 2014 12:15:01 +0200
gregor herrmann's avatar
gregor herrmann committed
59

60
libmodule-extractuse-perl (0.31-1) unstable; urgency=low
61 62

  * Imported Upstream version 0.31.
63 64
  * Email change: Florian Schlichting -> fsfs@debian.org.
  * Update years of packaging copyright.
65

66
 -- Florian Schlichting <fsfs@debian.org>  Wed, 07 Aug 2013 20:31:45 +0200
67

68
libmodule-extractuse-perl (0.29-1) unstable; urgency=low
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
69

gregor herrmann's avatar
gregor herrmann committed
70
  [ Salvatore Bonaccorso ]
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
71
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
72
  * Change search.cpan.org based URIs to metacpan.org based URIs
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
73

gregor herrmann's avatar
gregor herrmann committed
74 75
  [ gregor herrmann ]
  * New upstream release.
76 77
  * Update years of packaging copyright.
  * Set Standards-Version to 3.9.4 (no changes).
gregor herrmann's avatar
gregor herrmann committed
78

79
 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Mar 2013 20:50:42 +0100
Salvatore Bonaccorso's avatar
Salvatore Bonaccorso committed
80

81
libmodule-extractuse-perl (0.28-1) unstable; urgency=low
gregor herrmann's avatar
gregor herrmann committed
82

83
  [ gregor herrmann ]
gregor herrmann's avatar
gregor herrmann committed
84 85
  * debian/control: update {versioned,alternative} (build) dependencies.

86 87 88 89
  [ Florian Schlichting ]
  * Imported Upstream version 0.28.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Sun, 26 Aug 2012 22:19:00 +0200
gregor herrmann's avatar
gregor herrmann committed
90

91
libmodule-extractuse-perl (0.27-1) unstable; urgency=low
92

93
  [ gregor herrmann ]
gregor herrmann's avatar
gregor herrmann committed
94
  * New upstream release.
95 96 97 98 99
  * Drop spelling.patch, merged upstream.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update year of upstream copyright.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Update build/runtime dependencies.
gregor herrmann's avatar
gregor herrmann committed
100

101 102 103 104 105 106
  [ Florian Schlichting ]
  * Add back libtest-deep-perl to build dependencies, needed for testing.
  * Add libuniversal-require-perl to build dependencies to enable running
    another test.
  * Add myself to uploaders and copyright.

107 108 109 110 111
  [ Salvatore Bonaccorso ]
  * Lower versioned Build-Depends for Module::Build.
    Lower alternative versioned Build-Depends for libmodule-build-perl to
    perl (>= 5.11.4) | libmodule-build-perl (>= 0.360100).

112
 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Fri, 13 Apr 2012 22:19:39 +0200
gregor herrmann's avatar
gregor herrmann committed
113

114
libmodule-extractuse-perl (0.24-1) unstable; urgency=low
115

116
  [ Nathan Handler ]
117 118
  * debian/watch: Update to ignore development releases.

119 120 121 122
  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * debian/control: remove version from perl (build) dependency.
123 124
  * Remove alternative (build) dependencies that are already satisfied
    in oldstable.
125

126 127 128
  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

gregor herrmann's avatar
gregor herrmann committed
129 130
  [ gregor herrmann ]
  * New upstream release.
131 132 133 134 135 136 137 138 139 140 141
  * Switch to "3.0 (quilt)" source format.
  * Use debhelper 8 and tiny debian/rules.
  * debian/copyright: update formatting and packaging copyright.
  * Remove debian/clean, not needed anymore.
  * Build-Depends on Module::Build 0.38.
  * Remove some ancient versions from (build)-deps (nothing older in the
    archive).
  * Bump Standards-Version to 3.9.2 (no further changes).
  * Add a patch to fix some spelling mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Feb 2012 15:15:59 +0100
142

143
libmodule-extractuse-perl (0.23-2) unstable; urgency=low
144 145 146

  * Fix silly typo in debian/control ("perlm-modules"), thanks to Peter
    Pentchev for noticing.
147
  * Add /me to Uploaders.
148

149
 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Apr 2009 01:29:11 +0200
150

151
libmodule-extractuse-perl (0.23-1) unstable; urgency=low
152 153 154

  * Initial Release. (Closes: #525304)

155
 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Apr 2009 18:25:41 +0300